Application Development Discussions
Join the discussions or start your own on all things application development, including tools and APIs, programming models, and keeping your skills sharp.
cancel
Showing results for 
Search instead for 
Did you mean: 

Error when searching for abap package eclipse:

idachristiansen
Discoverer

Hello,

After I got a new computer and installed eclipse I get the error message below, when I try to open an ABAP package:

Error when getting results: java.lang.reflect.InvocationTargetException

5 REPLIES 5

raymond_giuseppi
Active Contributor
0 Kudos

You should post the log and some information on installed version (Eclipse, build id, ADT, JRE version)

UweFetzer_se38
Active Contributor

Hi Ida,

I had the same problem after an Eclipse update, not only the search for packages, but nearly all searches). Looks like ADT doesn't like the new JAVA Version 21. After reverting the version in eclipse.ini to the older JAVA-Version the error was gone:

-vm
C:/Users/<user>/.p2/pool/plugins/org.eclipse.justj.openjdk.hotspot.jre.full.win32.x86_64_20.0.2.v20230801-2057/jre/bin
Cheers, Uwe

matt
Active Contributor

Exactly this: https://github.com/SAP/SapMachine/issues/1517

Statement from the ADT team:

The problem is within ADT (more precisely: within the URI template library dependency used by ADT).

We are working on this.

Until this is resolved, ADT cannot be used with JDK 21.

0 Kudos

Thank you, that worked!

matt
Active Contributor

It's fixed in the latest release of ADT. 3391753 - RTC of ABAP development tools 3.38 - SAP for Me